import { MidwayConfig } from '@midwayjs/core';

const suffix = '';
export default {
  // use for cookie sign key, should change to your own and keep security
  keys: '1669597198171_1000',
  koa: {
    port: 12113,
    globalPrefix: '/point/group/v1/api',
  },
  swagger: {
    swaggerPath: '/point/group/v1/api/doc/api',
  },
  mongoose: {
    dataSource: {
      default: {
        uri: 'mongodb://127.0.0.1:27017/point_shopping',
        options: {
          user: 'admin',
          pass: 'admin',
          authSource: 'admin',
          useNewUrlParser: true,
        },
        entities: ['./entity'],
      },
    },
  },
  redis: {
    client: {
      port: 6379, // Redis port
      host: '127.0.0.1', // Redis host
      password: '123456',
      db: 1,
    },
  },
  redisKey: {
    orderKeyPrefix: 'orderKey:',
  },
  redisTimeout: 600,

  jwt: {
    secret: 'Ziyouyanfa!@#',
  },
  axios: {
    clients: {
      wechat: {
        baseURL: 'https://broadcast.waityou24.cn/wechat/api',
      },
      base: {
        baseURL: 'http://127.0.0.1/point/v1/api',
      },
    },
  },
  rabbitmq: {
    url: 'amqp://tehq:tehq@127.0.0.1/tehq',
  },
  mqConfig: {
    normal: {
      ex: `t_g_ex${suffix}`,
      q: `t_g_q${suffix}`,
      rk: `t_g_rk${suffix}`,
    },
    dead: {
      ex: `d_g_ex${suffix}`,
      q: `d_g_q${suffix}`,
      rk: `d_g_rk${suffix}`,
    },
    timeout: 15, //min
  },
  wxPayConfig: 'tehqApp',
  wxPayCallBack: '/point/group/v1/api/orderDeal/callback',
} as MidwayConfig;
