import { MidwayConfig } from '@midwayjs/core';
const ip = '120.48.146.1';
const suffix = '_dev_local';
export default {
  // use for cookie sign key, should change to your own and keep security
  keys: '1669597198171_1000',
  koa: {
    port: 12213,
    globalPrefix: '/dev/point/group/v1/api',
  },
  swagger: {
    swaggerPath: '/dev/point/group/v1/api/doc/api',
  },
  mongoose: {
    dataSource: {
      default: {
        uri: `mongodb://${ip}:27017/point_shopping-dev`,
        options: {
          user: 'admin',
          pass: 'admin',
          authSource: 'admin',
          useNewUrlParser: true,
        },
        entities: ['./entity'],
      },
    },
  },
  redis: {
    client: {
      port: 6379, // Redis port
      host: ip, // Redis host
      password: '123456',
      db: 2,
    },
  },
  redisKey: {
    orderKeyPrefix: 'orderKey:',
  },
  redisTimeout: 600,

  jwt: {
    secret: 'Ziyouyanfa!@#',
  },
  axios: {
    clients: {
      wechat: {
        baseURL: 'https://broadcast.waityou24.cn/wechat/api', // http://127.0.0.1:14001/wechat/api
      },
      base: {
        baseURL: 'https://broadcast.waityou24.cn/dev/point/v1/api', // http://127.0.0.1:12211
      },
    },
  },
  rabbitmq: {
    url: 'amqp://tehqDev:tehqDev@120.48.146.1/tehqDev',
  },
  mqConfig: {
    normal: {
      ex: `t_g_ex${suffix}`,
      q: `t_g_q${suffix}`,
      rk: `t_g_rk${suffix}`,
    },
    dead: {
      ex: `d_g_ex${suffix}`,
      q: `d_g_q${suffix}`,
      rk: `d_g_rk${suffix}`,
    },
    timeout: 1, //min
  },

  wxPayConfig: 'pointApp',
  wxPayCallBack: '/dev/point/group/v1/api/orderDeal/callback',
} as MidwayConfig;
