import { Body, Controller, Inject, Post } from '@midwayjs/decorator';
import { ApiBody, ApiOperation, ApiTags } from '@midwayjs/swagger';
import { Validate } from '@midwayjs/validate';
import { GoodsDetailDTO } from '../interface/view.interface';
import { GoodsConfigService } from '../service/goodsConfig.service';
import { ViewService } from '../service/view.service';

@ApiTags(['视图'])
@Controller('/view')
export class ViewController {
  @Inject()
  goodsConfig: GoodsConfigService;

  @Inject()
  service: ViewService;

  @Post('/goodsDetail')
  @ApiOperation({ description: '团购商品详情接口' })
  @ApiBody({ type: GoodsDetailDTO })
  @Validate()
  async goodsDetail(@Body() body: GoodsDetailDTO) {
    const viewData = await this.service.setGoodsDetailViewData(body);
    return viewData;
  }
}
