import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from 'free-midway-component';
import { Decimal128 } from 'mongoose';
@modelOptions({
  schemaOptions: { collection: 'cashBack' },
})
export class CashBack extends BaseModel {
  @prop({ required: false, index: true, zh: '推荐人' })
  inviter: string;
  @prop({ required: false, index: false, zh: '返现金额' })
  money: Decimal128;
  @prop({ required: false, index: false, zh: '返现时间' })
  time: string;
  @prop({ required: false, index: true, zh: '状态', remark: '字典:cashBack_status', default: '0' })
  status: string;
  @prop({ required: false, index: true, zh: '来源', remark: '字典:cashBack_source' })
  source: string;
  @prop({ required: false, index: true, zh: '来源id' })
  source_id: string;
}
