import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from 'free-midway-component';
@modelOptions({
  schemaOptions: { collection: 'goods' },
})
export class Goods extends BaseModel {
  @prop({ required: false, index: true, zh: '店铺' })
  shop: string;
  @prop({ required: false, index: true, zh: '商品名称' })
  name: string;
  @prop({
    required: false,
    index: false,
    zh: '简短简介',
    remark: '长度在50以内',
  })
  shot_brief: string;
  @prop({ required: false, index: false, zh: '发货时间' })
  send_time: string;
  @prop({ required: false, index: false, zh: '商品介绍' })
  brief: string;
  @prop({ required: false, index: false, zh: '商品图片' })
  file: Array<any>;
  @prop({ required: false, index: false, zh: '商品分类' })
  tags: Array<any>;
  @prop({ required: false, index: false, zh: '浏览量' })
  view_num: number;
  @prop({ required: false, index: false, zh: '销量' })
  sell_num: number;
  @prop({
    required: false,
    index: true,
    zh: '商品状态',
    remark: '字典:goods_status',
    default: '0',
  })
  status: string;
  @prop({
    required: false,
    index: false,
    zh: '活动标签',
    remark: '字典:act_tags',
  })
  act_tags: Array<any>;
  @prop({ required: false, index: true, zh: '排序', default: '0' })
  sort: number;
  @prop({ required: false, index: false, zh: '来源' })
  source: string;
  @prop({ required: false, index: false, zh: '网址' })
  url: string;
  @prop({ required: false, index: true, zh: '是否返现', remark: '字典:use' })
  is_cashBack: string;
  @prop({ required: false, index: false, zh: '返现设置', remark: '返现设置' })
  cb_config: object;
  @prop({
    required: false,
    index: true,
    zh: '商品编码',
    remark: '随机生成,8位',
  })
  code: string;
}
