import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from 'free-midway-component';
import { Decimal128 } from 'mongoose';
@modelOptions({
  schemaOptions: { collection: 'goodsSpec' },
})
export class GoodsSpec extends BaseModel {
  @prop({ required: false, index: true, zh: '商品源' })
  goods: string;
  @prop({ required: false, index: true, zh: '规格名称' })
  name: string;
  @prop({ required: false, index: false, zh: '实际销售价格' })
  sell_money: Decimal128;
  @prop({ required: false, index: false, zh: '划掉销售价格' })
  flow_money: Decimal128;
  @prop({ required: false, index: false, zh: '运费' })
  freight: Decimal128;
  @prop({ required: false, index: false, zh: '库存' })
  num: number;
  @prop({
    required: false,
    index: true,
    zh: '状态',
    remark: '字典:use',
    default: '0',
  })
  status: string;
  @prop({ required: false, index: false, zh: '图片' })
  file: Array<any>;
  @prop({ required: false, index: true, zh: '排序', default: '0' })
  sort: number;
}
