import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from 'free-midway-component';
@modelOptions({
  schemaOptions: { collection: 'shop' },
})
export class Shop extends BaseModel {
  @prop({ required: false, index: false, zh: '店铺logo' })
  logo: Array<any>;
  @prop({ required: false, index: true, zh: '商店名称' })
  name: string;
  @prop({
    required: false,
    index: true,
    zh: '店铺编号',
    remark: '自增,中间件处理',
  })
  code: string;
  @prop({ required: false, index: true, zh: '店主' })
  person: string;
  @prop({ required: false, index: true, zh: '联系电话' })
  phone: string;
  @prop({ required: false, index: false, zh: '地址' })
  address: string;
  @prop({ required: false, index: false, zh: '证件照片' })
  file: Array<any>;
  @prop({
    required: false,
    index: true,
    zh: '店铺状态',
    remark: '字典:shop_status',
  })
  status: string;
  @prop({ required: false, index: false, zh: '商品评分', default: '0' })
  goods_score: number;
  @prop({ required: false, index: false, zh: '发货评分', default: '0' })
  send_score: number;
  @prop({ required: false, index: false, zh: '服务评分', default: '0' })
  service_score: number;
  @prop({ required: false, index: false, zh: '抽成比例', default: 0 })
  cut: number;
  @prop({ required: false, index: false, zh: '二维码' })
  qrcode: Array<any>;
}
