import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from 'free-midway-component';
import { Decimal128 } from 'mongoose';
@modelOptions({
  schemaOptions: { collection: 'shopInBill' },
})
export class ShopInBill extends BaseModel {
  @prop({ required: false, index: true, zh: '店铺', ref: 'Shop' })
  shop: string;
  @prop({ required: false, index: false, zh: '抽成比例' })
  cut: number;
  @prop({ required: false, index: false, zh: '总金额' })
  total: Decimal128;
  @prop({ required: false, index: false, zh: '净金额' })
  receipts: Decimal128;
  @prop({ required: false, index: false, zh: '流水时间' })
  time: string;
  @prop({ required: false, index: true, zh: '来源', remark: '字典:cashBack_source' })
  source: string;
  @prop({ required: false, index: true, zh: '来源id' })
  source_id: string;
}
