import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from 'free-midway-component';
@modelOptions({
  schemaOptions: { collection: 'user' },
})
export class User extends BaseModel {
  @prop({ required: false, index: true, zh: '用户名' })
  name: string;
  @prop({ required: false, index: true, zh: '手机号' })
  phone: string;
  @prop({ required: false, index: true, zh: '电子邮箱' })
  email: string;
  @prop({ required: false, index: false, zh: '头像' })
  icon: Array<any>;
  @prop({ required: false, index: false, zh: '生日' })
  birth: string;
  @prop({ required: false, index: true, zh: '性别', remark: '字典:gender' })
  gender: string;
  @prop({ required: false, index: true, zh: '微信小程序' })
  openid: string;
  @prop({
    required: false,
    index: true,
    zh: '状态',
    remark: '字典:user_status',
    default: '0',
  })
  status: string;
  @prop({
    required: false,
    index: true,
    zh: '是否是团长',
    remark: '字典:is_use',
    default: '1',
  })
  is_leader: string;
  @prop({ required: false, index: true, zh: '密码', select: false })
  password: object;
}
