import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from 'free-midway-component';
import { Decimal128 } from 'mongoose';
@modelOptions({
  schemaOptions: { collection: 'goodsConfig' },
})
export class GoodsConfig extends BaseModel {
  @prop({ required: false, index: true, zh: '店铺id', ref: 'Shop' })
  shop: string;
  @prop({ required: false, index: true, zh: '商品id', ref: 'Goods' })
  goods: string;
  @prop({ required: false, index: true, zh: '规格id', ref: 'GoodsSpec' })
  spec: string;
  @prop({ required: false, index: false, zh: '团长价' })
  leader_price: Decimal128;
  @prop({ required: false, index: false, zh: '团购价' })
  price: Decimal128;
  @prop({
    required: false,
    index: false,
    zh: '团长提成金额',
    remark: '输入固定金额,不要百分比,只要最后的钱',
  })
  leader_get: Decimal128;
  @prop({ required: false, index: false, zh: '运费' })
  freight: Decimal128;

  @prop({ required: false, index: false, zh: '购买限制,字典:buy_limit' })
  buy_limit: string;
  @prop({ required: false, index: false, zh: '购买数量界限' })
  limit_num: number;
}
