import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from 'free-midway-component';
@modelOptions({
  schemaOptions: { collection: 'group' },
})
export class Group extends BaseModel {
  @prop({ required: true, index: true, zh: '商店id', ref: 'Shop' })
  shop: string;
  @prop({ required: true, index: true, zh: '商品id', ref: 'Goods' })
  goods: string;
  @prop({ required: false, index: true, zh: '团长', ref: 'User' })
  leader: string;
  @prop({ required: true, index: false, zh: '人数限制' })
  person_limit: number;
  @prop({ required: false, index: false, zh: '团购设置' })
  group_config: Array<any>;
  @prop({ required: false, index: false, zh: '开始时间' })
  start_time: string;
  @prop({ required: false, index: false, zh: '结束时间' })
  end_time: string;
  @prop({
    required: false,
    index: false,
    zh: '团状态',
    remark: '字典:group_status',
    default: '2',
  })
  status: string;
}
