import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from 'free-midway-component';
import { Decimal128 } from 'mongoose';
@modelOptions({
  schemaOptions: { collection: 'groupAfterSale' },
})
export class GroupAfterSale extends BaseModel {
  @prop({ required: false, index: true, zh: '订单', ref: 'GroupOrder' })
  order: string;
  @prop({ required: false, index: true, zh: '订单', ref: 'Shop' })
  shop: string;
  @prop({ required: false, index: true, zh: '顾客', ref: 'User' })
  customer: string;
  @prop({ required: false, index: true, zh: '售后类型', remark: '字典:afterSale_type' })
  type: string;
  @prop({ required: false, index: false, zh: '申请理由', remark: '字典:afterSale_reason' })
  reason: string;
  @prop({ required: false, index: false, zh: '申请售后描述' })
  desc: string;
  @prop({ required: false, index: false, zh: '凭证图片' })
  file: Array<any>;
  @prop({ required: false, index: false, zh: '快递信息' })
  transport: object;
  @prop({ required: false, index: true, zh: '售后申请时间' })
  apply_time: string;
  @prop({ required: false, index: true, zh: '售后结束时间' })
  end_time: string;
  @prop({ required: false, index: false, zh: '售后状态', remark: '字典:afterSale_status', default: '0' })
  status: string;
  @prop({ required: false, index: false, zh: '退款金额' })
  money: Decimal128;
  @prop({ required: false, index: true, zh: '处理人', ref: 'Admin' })
  deal_person: string;
  @prop({ required: false, index: true, zh: '团长建议' })
  leader_suggest: boolean;
}
