import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from 'free-midway-component';
@modelOptions({
  schemaOptions: { collection: 'groupOrder' },
})
export class GroupOrder extends BaseModel {
  @prop({ required: false, index: true, zh: '用户', ref: 'User' })
  customer: string;
  @prop({ required: false, index: true, zh: '地址' })
  address: object;
  @prop({ required: false, index: true, zh: '店铺', ref: 'Shop' })
  shop: string;
  @prop({ required: false, index: true, zh: '商品' })
  goods: object;
  @prop({ required: false, index: true, zh: '规格' })
  goodsSpec: object;
  @prop({ required: false, index: true, zh: '购买时间' })
  buy_time: string;
  @prop({ required: false, index: true, zh: '订单号' })
  no: string;
  @prop({ required: false, index: false, zh: '购买数量' })
  num: number;
  @prop({
    required: false,
    index: true,
    zh: '订单状态',
    remark: '字典:order_process',
    default: '0',
  })
  status: string;
  @prop({ required: false, index: false, zh: '支付数据' })
  pay: object;
  @prop({ required: false, index: true, zh: '团id', ref: 'Group' })
  group: string;
  @prop({ required: false, index: false, zh: '购买时的团购设置' })
  config: object;
  @prop({ required: false, index: false, zh: '备注' })
  remarks: string;
  @prop({ required: false, index: false, zh: '快递类型', remark: '字典:transport_type' })
  transport_type: string;
  @prop({ required: false, index: false, zh: '快递信息' })
  transport: Array<any>;
}
