import { Rule, RuleType } from '@midwayjs/validate';
import { ApiProperty } from '@midwayjs/swagger';
import _ = require('lodash');
import { SearchBase } from 'free-midway-component';
export class FetchVO_goodsConfig {
  constructor(data: object) {
    for (const key of Object.keys(this)) {
      this[key] = _.get(data, key);
    }
  }
  @ApiProperty({ description: '数据id' })
  _id: string = undefined;
  @ApiProperty({ description: '店铺id' })
  'shop': string = undefined;
  @ApiProperty({ description: '商品id' })
  'goods': string = undefined;
  @ApiProperty({ description: '规格id' })
  'spec': string = undefined;
  @ApiProperty({ description: '团购价' })
  'price': number = undefined;
  @ApiProperty({ description: '团长提成金额' })
  'leader_get': number = undefined;
  @ApiProperty({ description: '运费' })
  'freight': number = undefined;
  @ApiProperty({ description: '购买限制' })
  'buy_limit': string = undefined;
  @ApiProperty({ description: '购买数量界限' })
  'limit_num': number = undefined;
}

export class QueryDTO_goodsConfig extends SearchBase {
  constructor() {
    const like_prop = [];
    const props = ['shop', 'goods', 'spec'];
    const mapping = {};
    super({ like_prop, props, mapping });
  }
  @ApiProperty({ description: 'shop' })
  'shop': string = undefined;
  @ApiProperty({ description: 'goods' })
  'goods': string = undefined;
  @ApiProperty({ description: 'spec' })
  'spec': string = undefined;
}

export class QueryVO_goodsConfig extends FetchVO_goodsConfig {}

export class CreateDTO_goodsConfig {
  @ApiProperty({ description: 'shop', example: '6333d71d32c5f69745f9bd32' })
  @Rule(RuleType['string']().empty())
  'shop': string = undefined;
  @ApiProperty({ description: 'goods', example: '635b89c042e87c7a2880b484' })
  @Rule(RuleType['string']().empty())
  'goods': string = undefined;
  @ApiProperty({ description: 'spec', example: '635b89d742e87c7a2880b4bb' })
  @Rule(RuleType['string']().empty())
  'spec': string = undefined;
  @ApiProperty({ description: 'leader_price', example: 0.04 })
  @Rule(RuleType['number']().empty())
  'leader_price': number = undefined;
  @ApiProperty({ description: 'price', example: 0.08 })
  @Rule(RuleType['number']().empty())
  'price': number = undefined;
  @ApiProperty({ description: 'leader_get', example: 0.02 })
  @Rule(RuleType['number']().empty())
  'leader_get': number = undefined;
  @ApiProperty({ description: 'freight', example: 0.02 })
  @Rule(RuleType['number']().empty())
  'freight': number = undefined;

  @ApiProperty({ description: '购买限制', example: '1' })
  @Rule(RuleType['string']().empty())
  'buy_limit': string = undefined;

  @ApiProperty({ description: '购买数量界限', example: 2 })
  @Rule(RuleType['number']().empty())
  'limit_num': number = undefined;
}

export class CreateVO_goodsConfig extends FetchVO_goodsConfig {}

export class UpdateDTO_goodsConfig extends CreateDTO_goodsConfig {
  @ApiProperty({ description: '数据id' })
  @Rule(RuleType['string']().empty())
  '_id': string = undefined;
}

export class UpdateVO_goodsConfig extends FetchVO_goodsConfig {}
