import { ApiProperty } from '@midwayjs/swagger';
import { Rule, RuleType } from '@midwayjs/validate';
import { FrameworkErrorEnum, ServiceError } from 'free-midway-component';

export class GoodsDetailDTO {
  @ApiProperty({ description: '商品id' })
  @Rule(RuleType.string().required().error(new ServiceError('缺少商品信息', FrameworkErrorEnum.NEED_QUERY)))
  id: string;
  @ApiProperty({ description: '团id' })
  @Rule(RuleType.string().required().error(new ServiceError('缺少团信息', FrameworkErrorEnum.NEED_QUERY)))
  group: string;
}
