import Decimal from 'decimal.js';
import _ = require('lodash');

export function toNumber(num) {
  if (_.isObject(num)) {
    num = JSON.parse(JSON.stringify(num));
    if (_.isObject(num)) num = _.get(num, '$numberDecimal');
  }
  return new Decimal(num).toNumber();
}
const turnDecimal = n => {
  if (_.isObject(n)) {
    n = JSON.parse(JSON.stringify(n));
    if(_.isObject(n)) n = _.get(n, '$numberDecimal');
  }
  return new Decimal(n);
};

export function plus(n1 = 0, n2 = 0) {
  const number1 = turnDecimal(n1);
  const number2 = turnDecimal(n2);
  const result = number1.add(number2).toFixed(2, Decimal.ROUND_DOWN);
  return toNumber(result);
}

export function minus(n1 = 0, n2 = 0) {
  const number1 = turnDecimal(n1);
  const number2 = turnDecimal(n2);
  const result = number1.minus(number2).toFixed(2, Decimal.ROUND_DOWN);
  return toNumber(result);
}
export function multiply(n1 = 0, n2 = 0) {
  const number1 = turnDecimal(n1);
  const number2 = turnDecimal(n2);
  const result = number1.mul(number2).toFixed(2, Decimal.ROUND_DOWN);
  return toNumber(result);
}

export function divide(n1 = 0, n2 = 0) {
  const number1 = turnDecimal(n1);
  const number2 = turnDecimal(n2);
  const result = number1.div(number2).toFixed(2, Decimal.ROUND_DOWN);
  return toNumber(result);
}
