import _ = require('lodash');
export function lookUp(model, ref, others = { fField: '_id', need_add: true }) {
  const pipeline = [];
  let local_prop = model;
  if (others.need_add) {
    const oid_prop = `${model}_oid`;
    const id_prop = `${model}_id`;
    local_prop = oid_prop;
    const addField = { $addFields: { [local_prop]: { $toObjectId: `$${model}` }, [id_prop]: `$${model}` } };
    pipeline.push(addField);
  }
  const $lookup = {
    from: ref,
    localField: local_prop,
    foreignField: others.fField,
    as: model,
  };
  if (_.get(others, 'childrenPipeline')) Object.assign($lookup, { pipeline: _.get(others, 'childrenPipeline') });
  pipeline.push({ $lookup });
  pipeline.push({ $unwind: `$${model}` });
  return pipeline;
}
